/*
 *
 * Filename: fn_setArsenal.sqf
 * Author: [iV] Ghost
 * Description: Create a virtual whitelisted arsenal on an object.
 * Executed: Client
 *
 * Example: [this] call iV_fnc_setArsenal;
 *
 */



// VARIABLES
params ["_target"];



private _guns = [

	"hgun_P07_F", "hgun_P07_khk_F", "hgun_ACPC2_F", "hgun_Pistol_heavy_01_F", "hgun_Pistol_heavy_02_F", "hgun_Rook40_F", "hgun_Pistol_Signal_F",
	"hgun_Pistol_01_F", "hgun_esd_01_F", "hgun_esd_01_dummy_F", "hgun_Pistol_heavy_01_green_F", "arifle_Katiba_F", "arifle_Katiba_C_F", "arifle_Katiba_GL_F",
	"arifle_Mk20_F", "arifle_Mk20_plain_F", "arifle_Mk20C_F", "arifle_Mk20C_plain_F", "arifle_Mk20_GL_F", "arifle_Mk20_GL_plain_F",
	"arifle_MXC_F", "arifle_MX_F", "arifle_MX_GL_F", "arifle_MXM_F", "arifle_MXC_Black_F", "arifle_MX_Black_F", "arifle_MX_GL_Black_F",
	"arifle_MXM_Black_F", "arifle_MX_khk_F", "arifle_MX_GL_khk_F", "arifle_MXC_khk_F", "arifle_MXM_khk_F",
	"arifle_SDAR_F", "arifle_TRG21_F", "arifle_TRG20_F", "arifle_TRG21_GL_F", "hgun_PDW2000_F", "SMG_01_F", "SMG_02_F",
	"SMG_03_TR_black", "SMG_03_TR_camo", "SMG_03_TR_khaki", "SMG_03C_TR_black", "SMG_03C_TR_camo", "SMG_03C_TR_khaki",
	"SMG_03_black", "SMG_03_camo", "SMG_03_khaki", "SMG_03C_black", "SMG_03C_camo", "SMG_03C_khaki",
	"arifle_AK12_F", "arifle_AK12_GL_F", "arifle_AKM_F", "arifle_AKS_F", "arifle_AK12_lush_F", "arifle_AK12_arid_F",
	"arifle_AK12_GL_lush_F", "arifle_AK12_GL_arid_F", "arifle_AK12U_F", "arifle_AK12U_lush_F", "arifle_AK12U_arid_F",
	"arifle_ARX_blk_F", "arifle_CTAR_blk_F", "arifle_CTAR_GL_blk_F", "arifle_CTARS_blk_F",
	"arifle_SPAR_01_blk_F", "arifle_SPAR_01_khk_F", "arifle_SPAR_01_snd_F", "arifle_SPAR_01_GL_blk_F", "arifle_SPAR_01_GL_khk_F", "arifle_SPAR_01_GL_snd_F",
	"SMG_05_F", "arifle_RPK12_F", "arifle_RPK12_lush_F", "arifle_RPK12_arid_F", "arifle_MSBS65_F", "arifle_MSBS65_Mark_F", "arifle_MSBS65_GL_F", "arifle_MSBS65_UBS_F",
	"arifle_MSBS65_black_F", "arifle_MSBS65_Mark_black_F", "arifle_MSBS65_GL_black_F", "arifle_MSBS65_UBS_black_F", "arifle_MSBS65_sand_F", "arifle_MSBS65_Mark_sand_F",
	"arifle_MSBS65_GL_sand_F", "arifle_MSBS65_UBS_sand_F", "arifle_MSBS65_camo_F", "arifle_MSBS65_Mark_camo_F", "arifle_MSBS65_GL_camo_F", "arifle_MSBS65_UBS_camo_F",
	"sgun_HunterShotgun_01_F", "sgun_HunterShotgun_01_sawedoff_F", "LMG_Mk200_F", "LMG_Zafir_F", "LMG_03_F", "LMG_03_Vehicle_F", "LMG_Mk200_black_F",
	"srifle_DMR_01_F", "srifle_EBR_F", "srifle_GM6_F", "srifle_GM6_camo_F", "srifle_LRR_F", "srifle_LRR_camo_F", "srifle_DMR_02_F", "srifle_DMR_02_camo_F", "srifle_DMR_02_sniper_F",
	"srifle_DMR_03_F", "srifle_DMR_03_khaki_F", "srifle_DMR_03_tan_F", "srifle_DMR_03_multicam_F", "srifle_DMR_03_woodland_F", "srifle_DMR_04_F", "srifle_DMR_04_Tan_F",
	"srifle_DMR_05_blk_F", "srifle_DMR_05_hex_F", "srifle_DMR_05_tan_f", "srifle_DMR_06_camo_F", "srifle_DMR_06_olive_F", "srifle_LRR_tna_F", "srifle_DMR_07_blk_F",
	"arifle_SPAR_03_blk_F", "arifle_SPAR_03_khk_F", "arifle_SPAR_03_snd_F", "srifle_DMR_06_hunter_F"
	
];



private _launchers = [

	"launch_NLAW_F", "launch_RPG32_F", "launch_B_Titan_F", "launch_I_Titan_F", "launch_RPG32_ghex_F", "launch_RPG7_F", "launch_B_Titan_tna_F", "launch_MRAWS_olive_F",
	"launch_MRAWS_olive_rail_F", "launch_MRAWS_green_F", "launch_MRAWS_green_rail_F", "launch_MRAWS_sand_F", "launch_MRAWS_sand_rail_F", "launch_O_Vorona_brown_F",
	"launch_O_Vorona_green_F", "launch_RPG32_green_F", "launch_I_Titan_eaf_F", "launch_B_Titan_olive_F"
	
];



private _mags = [

	"9Rnd_45ACP_Mag", "6Rnd_45ACP_Cylinder", "10Rnd_9x21_Mag", "16Rnd_9x21_Mag", "16Rnd_9x21_red_Mag", "16Rnd_9x21_green_Mag", "16Rnd_9x21_yellow_Mag",
	"30Rnd_9x21_Mag", "30Rnd_9x21_Red_Mag", "30Rnd_9x21_Yellow_Mag", "30Rnd_9x21_Green_Mag", "11Rnd_45ACP_Mag", "6Rnd_GreenSignal_F", "6Rnd_RedSignal_F",
	"30Rnd_65x39_caseless_green", "30Rnd_65x39_caseless_green_mag_Tracer", "30Rnd_556x45_Stanag", "30Rnd_556x45_Stanag_Tracer_Red", "30Rnd_556x45_Stanag_Tracer_Green",
	"30Rnd_556x45_Stanag_Tracer_Yellow", "30Rnd_556x45_Stanag_red", "30Rnd_556x45_Stanag_green", "30Rnd_556x45_Stanag_Sand", "30Rnd_556x45_Stanag_Sand_green",
	"30Rnd_556x45_Stanag_Sand_red", "30Rnd_556x45_Stanag_Sand_Tracer_Red", "30Rnd_556x45_Stanag_Sand_Tracer_Green", "30Rnd_556x45_Stanag_Sand_Tracer_Yellow",
	"6Rnd_12Gauge_Pellets", "6Rnd_12Gauge_Slug", "2Rnd_12Gauge_Pellets", "2Rnd_12Gauge_Slug", "1Rnd_HE_Grenade_shell", "UGL_FlareWhite_F", "UGL_FlareGreen_F",
	"UGL_FlareRed_F", "UGL_FlareYellow_F", "UGL_FlareCIR_F", "1Rnd_Smoke_Grenade_shell", "1Rnd_SmokeRed_Grenade_shell", "1Rnd_SmokeGreen_Grenade_shell",
	"1Rnd_SmokeYellow_Grenade_shell", "1Rnd_SmokePurple_Grenade_shell", "1Rnd_SmokeBlue_Grenade_shell", "1Rnd_SmokeOrange_Grenade_shell", "3Rnd_HE_Grenade_shell",
	"3Rnd_UGL_FlareWhite_F", "3Rnd_UGL_FlareGreen_F", "3Rnd_UGL_FlareRed_F", "3Rnd_UGL_FlareYellow_F", "3Rnd_UGL_FlareCIR_F", "3Rnd_Smoke_Grenade_shell",
	"3Rnd_SmokeRed_Grenade_shell", "3Rnd_SmokeGreen_Grenade_shell", "3Rnd_SmokeYellow_Grenade_shell", "3Rnd_SmokePurple_Grenade_shell", "3Rnd_SmokeBlue_Grenade_shell",
	"RPG32_F", "RPG32_HE_F", "Titan_AA", "Titan_AP", "RPG7_F", "MRAWS_HEAT_F", "MRAWS_HE_F", "MRAWS_HEAT55_F", "Vorona_HEAT", "Vorona_HE",
	"HandGrenade", "MiniGrenade", "SmokeShell", "SmokeShellYellow", "SmokeShellGreen", "SmokeShellRed", "SmokeShellPurple", "SmokeShellOrange", "SmokeShellBlue",
	"APERSBoundingMine_Range_Mag", "SLAMDirectionalMine_Wire_Mag", "APERSTripMine_Wire_Mag", "APERSMineDispenser_Mag", "TrainingMine_Mag", "ACE_FlareTripMine_Mag", "Laserbatteries"
	
];



private _items = [

	"ItemWatch", "ItemCompass", "ItemGPS", "ItemMap", "Binocular", "Rangefinder", "Laserdesignator", "Laserdesignator_03", "ToolKit", "B_UavTerminal", "C_UavTerminal",
	"NVGoggles_tna_F", "NVGogglesB_blk_F", "NVGogglesB_grn_F", "NVGogglesB_gry_F", "Laserdesignator_01_khk_F", "O_NVGoggles_grn_F", "NVGoggles", "NVGoggles_OPFOR", "NVGoggles_INDEP"
	
];



private _headgear = [

	"H_HelmetB", "H_HelmetB_camo", "H_HelmetB_light", "H_Booniehat_khk", "H_Booniehat_oli", "H_Booniehat_mcamo", "H_Booniehat_tan",
	"H_Booniehat_khk_hs", "H_HelmetSpecB", "H_HelmetSpecB_paint1", "H_HelmetSpecB_paint2", "H_HelmetSpecB_blk", "H_HelmetSpecB_snakeskin", "H_HelmetSpecB_sand",
	"H_HelmetB_grass", "H_HelmetB_snakeskin", "H_HelmetB_desert", "H_HelmetB_black", "H_HelmetB_sand", "H_Cap_headphones", "H_Cap_tan", "H_Cap_blk", "H_Cap_blk_CMMG",
	"H_Cap_tan_specops_US", "H_Cap_khaki_specops_UK", "H_Cap_grn", "H_Cap_oli_hs", "H_Cap_police", "H_HelmetCrew_B", "H_PilotHelmetFighter_B", "H_PilotHelmetHeli_B", "H_CrewHelmetHeli_B",
	"H_MilCap_mcamo", "H_MilCap_gry", "H_MilCap_blue", "H_HelmetB_light_grass", "H_HelmetB_light_snakeskin", "H_HelmetB_light_desert", "H_HelmetB_light_black",
	"H_HelmetB_light_sand", "H_HelmetO_oucamo", "H_Bandanna_surfer", "H_Bandanna_khk", "H_Bandanna_khk_hs", "H_Bandanna_cbr", "H_Bandanna_sgg", "H_Bandanna_sand",
	"H_Bandanna_surfer_blk", "H_Bandanna_surfer_grn", "H_Bandanna_gry", "H_Bandanna_blu", "H_Bandanna_camo", "H_Bandanna_mcamo", "H_Shemag_olive", "H_Shemag_olive_hs",
	"H_ShemagOpen_khk", "H_ShemagOpen_tan", "H_Beret_blk", "H_Beret_02", "H_Beret_Colonel", "H_Watchcap_blk", "H_Watchcap_cbr", "H_Watchcap_khk", "H_Watchcap_camo",
	"H_HelmetB_TI_tna_F", "H_HelmetB_tna_F", "H_HelmetB_Enh_tna_F", "H_HelmetB_Light_tna_F", "H_MilCap_tna_F", "H_Booniehat_tna_F", "H_Beret_gen_F", "H_MilCap_gen_F",
	"H_Booniehat_mgrn", "H_Booniehat_taiga", "H_Booniehat_wdl", "H_MilCap_grn", "H_MilCap_taiga", "H_MilCap_wdl", "H_HelmetB_plain_wdl", "H_HelmetB_light_wdl", "H_HelmetSpecB_wdl",
	"H_Cap_grn_BI", "H_Cap_blk_ION", "H_Cap_red", "H_Cap_blu", "H_Cap_oli"
	
];



private _goggles = [

	"G_Balaclava_oli", "G_Spectacles", "G_Spectacles_Tinted", "G_Combat", "G_Lowprofile", "G_Shades_Black", "G_Shades_Green", "G_Shades_Red", "G_Squares", "G_Squares_Tinted",
	"G_Sport_BlackWhite", "G_Sport_Blackyellow", "G_Sport_Greenblack", "G_Sport_Checkered", "G_Sport_Red", "G_Tactical_Black", "G_Aviator", "G_Diving", "G_B_Diving", "G_Balaclava_blk",
	"G_Balaclava_combat", "G_Balaclava_lowprofile", "G_Bandanna_blk", "G_Bandanna_oli", "G_Bandanna_khk", "G_Bandanna_tan", "G_Bandanna_beast", "G_Bandanna_shades", "G_Bandanna_sport",
	"G_Bandanna_aviator", "G_Shades_Blue", "G_Sport_Blackred", "G_Tactical_Clear", "G_Balaclava_TI_blk_F", "G_Balaclava_TI_tna_F", "G_Balaclava_TI_G_blk_F", "G_Balaclava_TI_G_tna_F",
	"G_Combat_Goggles_tna_F", "G_Respirator_white_F", "G_Respirator_yellow_F", "G_Respirator_blue_F", "G_EyeProtectors_F", "G_EyeProtectors_Earpiece_F", "G_WirelessEarpiece_F",
	"G_AirPurifyingRespirator_01_F", "G_RegulatorMask_F"
	
];



private _uniforms = [
	
	"U_B_CombatUniform_mcam", "U_B_CombatUniform_mcam_tshirt", "U_B_CombatUniform_mcam_vest", "U_B_GhillieSuit", "U_B_HeliPilotCoveralls", "U_B_Wetsuit",
	"U_B_CombatUniform_mcam_worn", "U_B_PilotCoveralls", "U_B_FullGhillie_lsh", "U_B_FullGhillie_sard", "U_B_FullGhillie_ard", "U_B_T_Soldier_F", "U_B_T_Soldier_AR_F",
	"U_B_T_Soldier_SL_F", "U_B_T_Sniper_F", "U_B_T_FullGhillie_tna_F", "U_B_CTRG_Soldier_F", "U_B_CTRG_Soldier_2_F", "U_B_CTRG_Soldier_3_F", "U_B_GEN_Soldier_F",
	"U_B_GEN_Commander_F", "U_B_CTRG_Soldier_urb_1_F", "U_B_CTRG_Soldier_urb_2_F", "U_B_CTRG_Soldier_urb_3_F",
	"U_B_CombatUniform_vest_mcam_wdl_f", "U_B_CombatUniform_mcam_wdl_f", "U_B_CombatUniform_tshirt_mcam_wdL_f", "U_B_CBRN_Suit_01_MTP_F", "U_B_CBRN_Suit_01_Tropic_F",
	"U_B_CBRN_Suit_01_Wdl_F", "U_C_CBRN_Suit_01_Blue_F", "U_C_CBRN_Suit_01_White_F" 
	
];



private _vests = [

	"V_Rangemaster_belt", "V_BandollierB_khk", "V_BandollierB_cbr", "V_BandollierB_rgr", "V_BandollierB_blk", "V_BandollierB_oli", "V_PlateCarrier1_rgr",
	"V_PlateCarrier2_rgr", "V_PlateCarrier2_blk", "V_PlateCarrierGL_rgr", "V_PlateCarrierGL_blk", "V_PlateCarrierGL_mtp", "V_PlateCarrier1_blk", "V_PlateCarrierSpec_rgr",
	"V_PlateCarrierSpec_blk", "V_PlateCarrierSpec_mtp", "V_Chestrig_khk", "V_Chestrig_rgr", "V_Chestrig_blk", "V_Chestrig_oli", "V_TacVest_khk", "V_TacVest_brn", "V_TacVest_oli",
	"V_TacVest_blk", "V_TacVest_camo", "V_TacVest_blk_POLICE", "V_TacVestIR_blk", "V_HarnessO_brn", "V_HarnessOGL_brn", "V_HarnessO_gry", "V_HarnessOGL_gry", "V_PlateCarrierIAGL_oli",
	"V_RebreatherB", "V_PlateCarrier_Kerry", "V_PlateCarrierL_CTRG", "V_PlateCarrierH_CTRG", "V_I_G_resistanceLeader_F", "V_TacChestrig_grn_F", "V_TacChestrig_oli_F", "V_TacChestrig_cbr_F",
	"V_PlateCarrier1_tna_F", "V_PlateCarrier2_tna_F", "V_PlateCarrierSpec_tna_F", "V_PlateCarrierGL_tna_F", "V_TacVest_gen_F", "V_PlateCarrier1_rgr_noflag_F", "V_PlateCarrier2_rgr_noflag_F",
	"V_DeckCrew_yellow_F", "V_DeckCrew_blue_F", "V_DeckCrew_green_F", "V_DeckCrew_red_F", "V_DeckCrew_white_F", "V_DeckCrew_brown_F", "V_DeckCrew_violet_F", "V_EOD_blue_F", "V_EOD_olive_F",
	"V_EOD_coyote_F", "V_CarrierRigKBT_01_EAF_F", "V_CarrierRigKBT_01_light_EAF_F", "V_CarrierRigKBT_01_heavy_EAF_F", "V_CarrierRigKBT_01_Olive_F", "V_CarrierRigKBT_01_light_Olive_F",
	"V_CarrierRigKBT_01_heavy_Olive_F", "V_PlateCarrier1_wdl", "V_PlateCarrier2_wdl", "V_PlateCarrierGL_wdl", "V_PlateCarrierSpec_wdl", "V_Press_F", "V_EOD_IDAP_blue_F", "V_Safety_yellow_F",
	"V_Safety_orange_F", "V_Safety_blue_F", "V_LegStrapBag_black_F", "V_LegStrapBag_coyote_F", "V_LegStrapBag_olive_F", "V_Plain_medical_F", "V_Plain_crystal_F", "V_Pocketed_olive_F",
	"V_Pocketed_coyote_F", "V_Pocketed_black_F"
	
];



private _backpacks = [

	"B_AssaultPack_khk", "B_AssaultPack_rgr", "B_AssaultPack_sgg", "B_AssaultPack_blk", "B_AssaultPack_cbr", "B_AssaultPack_mcamo", "B_AssaultPack_Kerry",
	"B_Kitbag_rgr", "B_Kitbag_mcamo", "B_Kitbag_sgg", "B_Kitbag_cbr", "B_Kitbag_tan", "B_AssaultPack_wdl_F", "B_AssaultPack_eaf_F", "B_TacticalPack_rgr", "B_TacticalPack_mcamo",
	"B_TacticalPack_blk", "B_TacticalPack_oli", "B_FieldPack_khk", "B_FieldPack_cbr", "B_FieldPack_blk", "B_FieldPack_oli", "B_Carryall_oucamo", "B_Carryall_mcamo", "B_Carryall_khk",
	"B_Carryall_cbr", "B_Carryall_oli", "B_HMG_01_support_F", "B_HMG_01_support_high_F", "B_HMG_01_weapon_F", "B_HMG_01_A_weapon_F", "B_GMG_01_weapon_F", "B_GMG_01_A_weapon_F",
	"B_HMG_01_high_weapon_F", "B_GMG_01_high_weapon_F", "B_Mortar_01_support_F", "B_Mortar_01_weapon_F", "B_AA_01_weapon_F", "B_AT_01_weapon_F", "B_UAV_01_backpack_F", "B_Respawn_TentDome_F",
	"B_Respawn_TentA_F", "B_Respawn_Sleeping_bag_F", "B_Respawn_Sleeping_bag_blue_F", "B_Respawn_Sleeping_bag_brown_F", "B_Patrol_Respawn_bag_F", "B_Static_Designator_01_weapon_F",
	"B_Bergen_mcamo_F", "B_Bergen_tna_F", "B_AssaultPack_tna_F", "B_ViperHarness_blk_F", "B_ViperHarness_khk_F", "B_ViperHarness_oli_F", "B_ViperLightHarness_blk_F", "B_ViperLightHarness_khk_F",
	"B_ViperLightHarness_oli_F", "B_UAV_06_backpack_F", "C_UAV_06_backpack_F", "B_UAV_06_medical_backpack_F", "B_W_Static_Designator_01_weapon_F", "B_CombinationUnitRespirator_01_F",
	"B_SCBA_01_F", "B_RadioBag_01_wdl_F", "B_RadioBag_01_mtp_F", "B_RadioBag_01_tropic_F", "B_RadioBag_01_black_F", "B_Carryall_green_F", "B_Carryall_taiga_F", "B_Carryall_wdl_F", "B_Carryall_eaf_F",
	"B_FieldPack_green_F", "B_FieldPack_taiga_F", "B_Parachute", "B_Messenger_Coyote_F", "B_Messenger_Olive_F", "B_Messenger_Black_F", "B_Messenger_Gray_F", "B_Messenger_IDAP_F",
	"B_LegStrapBag_black_F", "B_LegStrapBag_coyote_F", "B_LegStrapBag_olive_F"
	
];



// CREATE VIRTUAL ARSENAL
[_target, _backpacks, true, true] call BIS_fnc_addVirtualBackpackCargo;
[_target, _headgear + _goggles + _uniforms + _vests + _items, true, true] call BIS_fnc_addVirtualItemCargo;
[_target, _mags, true, true] call BIS_fnc_addVirtualMagazineCargo;
[_target, _guns + _launchers, true, true] call BIS_fnc_addVirtualWeaponCargo;